@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Tinos:ital,wght@0,400;0,700;1,400;1,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Petrona:wght@400;500;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Fjalla+One&display=swap");

p,
h1,
h2,
h3,
h5,
h4,
div,
nav,
span {
  cursor: default;
}

.hidden-left {
  opacity: 0;
  filter: blur (5px);
  transform: translateX(-100%);
  transition: all 1s;
}

.hidden-right {
  opacity: 0;
  filter: blur (5px);
  transform: translateX(100%);
  transition: all 1s;
}

.hidden-top {
  opacity: 0;
  filter: blur (5px);
  transform: translateY(-4rem);
  transition: all 1s;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateX(0);
  transform: translateZ(0);
}

html {
  scroll-behavior: smooth;
  max-width: 100%;
  overflow-x: hidden;
  width: 100%;
}
* {
  box-sizing: border-box;
}

body {
  width: 100%;
  margin: 0 !important;
  max-width: 100%;
  width: 100%;    
  overflow-x: hidden;

}

.home_container {
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.home-header {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  background: linear-gradient(45deg, #d2a7ff, #0cfff4);
}

.home-header .right img {
  width: 100%;
}

.home-header .right {
  margin: auto;
  margin-right: 1rem;
  width: 50%;
  padding-top: 2rem;
}

.home-header .left {
  width: 50%;
  margin: auto;
  margin-left: 1rem;
  display: flex;
  flex-direction: column;
  padding: 1rem;
}

.home-header .left h1 {
  font-family: "Fjalla One";
  font-weight: bolder;
  color: brown;
  font-size: 4rem;
}

.top_header {
  height: 40px;
  width: 100%;
  background: #09325b;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
  padding: 0.1rem 1rem;
  color: #fff !important;
}

.top_header a {
  color: #fff !important;
      text-decoration: none;
}

.top_header > div > p {
  font-size: 0.875rem;
  color: white;
  margin-bottom: 0;
}

.phone,
.email {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.4rem;
}

/* navbar  */

.brand_name {
  font-size: 2rem;
  margin-bottom: 0;
  font-weight: 700;
  color: #2a2d93;
  font-family: "Fjalla One", sans-serif;
}

.banner {
  width: 100vw;
}

.navbar {
  width: 100%;
}

.home_container .nav-link {
  color: black !important;
  text-decoration: none;
  font-size: 1.2rem;
  font-weight: 500;
  background-color: transparent;
  transition: 0.35s ease-in-out;
}

.home_container .nav-link:hover {
  background-color: #e3e3e3;
  border-radius: 5px;
  transition: 0.35s ease-in-out;
}

.main {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
  width: 100%;
}

#advertiseArea {
  min-height: 50px;
  min-width: 100vw;
}

/* .advertise_section {
  } */

.advertise_section > div {
  background-color: #dddddd;
  border-radius: 10px;
  flex-basis: 30%;
}

.advertise_section > div > p {
  font-size: 1.2rem;
}

.advertise_image {
  height: 17vw;
  width: 17vw;
  margin: 1rem 0;
}

#about,
#service,
#contact {
  width: 97%;
  height: auto;
  padding: 1rem;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  /* border:1px solid lightgray; */
}

#about > p {
  text-align: justify;
  font-family: "Tinos", serif;
  font-style: italic;
}

.headings {
  font-size: 2.1rem;
  margin: 1.8rem 0 1.2rem 0;
}

.service_card_container {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.service_card {
  min-height: 20.5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1rem 1.5rem;
  margin: 0.75rem;
  flex-basis: 30%;
  flex-grow: 1;
  box-shadow: 0px 0px 5px 1px lightgrey;
  border-radius: 15px;
  background-image: url("https://i.pinimg.com/736x/7e/6a/32/7e6a32abd9099fa74b9b894106dca7c4.jpg");
  background-size: fill;
  background-position: center;
  background-repeat: no-repeat;
}

.top_header i {
  color: white; /* Set icon color to white */
  font-size: 0.875rem; /* Adjust the size of icons */
}

.service_card > img {
  width: 3.5rem;
  margin: 2rem 0rem;
}

.service_card > h4 {
  margin-bottom: 1rem;
}

.service_card > p {
  font-size: 1.1rem;
  text-align: justify;
  font-family: "Petrona", serif;
  backdrop-filter: blur(5px);
}

.contact_main {
  min-height: 37rem;
  width: 100%;
  display: flex;
  flex-direction: row;
  padding: 1rem;
  gap: 1.5rem;
}

.contact_img {
  width: 60%;
}

.information {
  width: 30%;
  min-height: 100%;
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.information > div {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1rem;
  flex-grow: 1;
  border-radius: 8px;
  box-shadow: 1px 1px 30px 1px rgb(223 215 229);
  text-align: center;
}

.information > div > i {
  font-size: 3rem;
  margin-bottom: 0.5rem;
}

.information > div > a{
  color: #000;
  text-decoration: none;
}

.information > div > p {
  font-size: 0.9rem;
  margin-top: 0;
  margin-bottom: 1rem;
}

.mobile_banner {
  display: none;
}

.desktop_banner {
  display: block;
}

/* Footer */
footer{
  width: 100%;
}


.footer {
  background: #dfe3ff;
  text-align: center;
  padding: 0.6rem;
  margin-top: 1rem;
  font-family: "Poppins";
}

.footer a {
  color: rgb(0, 0, 156);
  text-decoration: none;
}


@media screen and (min-width: 640px) {
  #about {
    padding: 2rem;
    font-size: 1.1rem;
  }
}

@media screen and (max-width: 960px) {
  .service_card {
    flex-basis: 42%;
    min-height: auto;
  }
}

@media screen and (max-width: 640px) {
  .banner {
    height: 75vh;
    width: 100vw;
    overflow: hidden;
  }

  .contact_main {
    flex-direction: column;
  }

  .mobile_banner {
    display: block;
  }

  .desktop_banner {
    display: none;
  }

  .advertise_image {
    height: 64px;
    width: 64px;
  }
}

@media screen and (max-width: 490px) {
      .top_header {
    height: auto;
    width: 100%;
    flex-direction: column;
    align-items: start;
    gap: 0.25rem;
    padding: 0.5rem 1rem;
}

  .headings {
    font-size: 1.8rem;
  }

  .home-header {
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
  }

  .home-header .left {
    margin: auto !important;
    width: 100%;
    width: 100%;
  }

  .contact_img {
    width: 100%;
  }

  .information{
    width: 100%;
  }

  .home-header .left h1 {
    font-size: 2.8rem;
  }

  .home-header .right {
    width: 100%;
    margin: auto !important;
    margin-bottom: 1rem !important;
  }

  .home-header .right img {
    width: 100%;
    padding: 1rem;
  }

  .service_card {
    flex-basis: 90%;
    min-height: auto;
  }

  .advertise_image {
    height: 50px;
    width: 50px;
  }

  .advertise_section > div > p {
    font-size: 0.8rem;
  }
  

}
